package com.cxy.classroll.student.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cxy.classroll.model.entity.Lesson;
import com.cxy.classroll.model.entity.Stu_lesson;
import com.cxy.classroll.model.vo.FileParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface StuLessonService extends IService<Stu_lesson> {
    List<Lesson> getStudentLessons(Long id);

    Boolean uploadCsvData(MultipartFile file,Long teacher_id,String lesson_name);

    List<Stu_lesson> getStuLessonListByLessonName(String lesson_name);
}
